Subject: Re: regression -next -- scsi: sd: Rely on the driver core for asynchronous probing was Re: next-20190408..0418: Suspend/resume problems on Thinkpad X60

From: Pavel Machek <[email-masked]>
Date: Thu, 25 Apr 2019 09:33:43 +0200

On Wed 2019-04-24 13:56:01, Bart Van Assche wrote:
> On Wed, 2019-04-24 at 22:51 +0200, Pavel Machek wrote:
> > Unfortunately, that one does not revert cleanly on top of -next.
> 
> Can you try the following:
> 
> git revert d16ece577bf2cee7f94bab75a0d967bcb89dd2a7 &&
>   git revert 21e6ba3f0e0257cce1a226c1f15e0a8ba4338ca3
> 
> I will see whether I can come up with a better way to analyze what is
> going on. I had not expected that these patches would cause any suspend/
> resume problems.

Not even d16ece reverts:

pavel@duo:/data/l/linux-next-32$ git show  | head -3
commit 76c938fcaa4b4a5d8f05fa907925d5043834964e
Author: Stephen Rothwell <[email-masked]>
Date:   Tue Apr 23 20:24:59 2019 +1000
pavel@duo:/data/l/linux-next-32$ git revert
d16ece577bf2cee7f94bab75a0d967bcb89dd2a7
error: could not revert d16ece5... scsi: sd: Inline sd_probe_part2()
hint: after resolving the conflicts, mark the corrected paths
hint: with 'git add <paths>' or 'git rm <paths>'
hint: and commit the result with 'git commit'

								Pavel
-- 
DENX Software Engineering GmbH,      Managing Director: Wolfgang Denk
HRB 165235 Munich, Office: Kirchenstr.5, D-82194 Groebenzell, Germany